Bug 214143 - chars filling to end of lines on tty[1-6] are not space chars
chars filling to end of lines on tty[1-6] are not space chars
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-06 02:45 EST by Felix Miata
Modified: 2009-01-09 02:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:00:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen photograph (128.23 KB, image/jpeg)
2008-02-04 11:07 EST, Felix Miata
no flags Details

  None (edit)
Description Felix Miata 2006-11-06 02:45:27 EST
How reproducible:
Just do it/always happens.

Steps to Reproduce:
1-install FC5 or FC6 for US English on an i81x system with onboard video
2-login on any of tty[1-6]
3a-run some command that produces some screen output (e.g. mount), or
3b-run clear
  
Actual results:
1-on each output line, characters trailing end of actual output are not blanks
2-clear results in a screen full of non-blank characters

Expected results:
1-on each output line, characters trailing end of actual output are blanks
2-clear results in screen with nothing but a prompt

Additional info: Actual test system is Dell GX150 with i815 chipset. Happens
whether kernel line includes vga=normal or vga=0x120.
Comment 1 Felix Miata 2006-11-06 08:15:07 EST
I installed a Tseng ET6100 PCI graphics adapter in same system to test with FC6.
It exhibits same problem using vga=normal. :-(
Comment 2 Felix Miata 2006-11-06 10:09:54 EST
I installed a Matrox G400 AGP graphics adapter in the same system to test with
FC6. It works normally using vga=788. :-)
Comment 3 Jon Stanley 2007-12-31 16:56:22 EST
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 4 Felix Miata 2007-12-31 18:31:36 EST
With both 2.6.23.1-21.fc7 and 2.6.23.9-85.fc8 on same i815 system, still with
G400 gfxcard, using framebuffer vga=788, behavior is as expected. However,
changing cmdline to vga=normal reproduces the problem as originally described in
comment 0.

/proc/cmdline == 'root=LABEL=S12A-11fedora splash=0 noresume 3 vga=normal'
Comment 5 Jon Stanley 2007-12-31 18:47:50 EST
Changing version to 8 in that case.
Comment 6 Felix Miata 2007-12-31 19:44:22 EST
8 is what I selected. I have no idea how bugzilla converted my 8 into a 2.
They're nowhere near each other in the select list. :-p
Comment 7 Christopher Brown 2008-02-03 15:48:53 EST
Felix,

Would it be possible to attach a screenshot?
Comment 8 Felix Miata 2008-02-03 19:10:37 EST
Someone will have to point me to instructions how a screenshot can be made on
tty[1-6]. I only know how to make one from KDE. I never found instructions
anywhere for doing tty screenshots.
Comment 9 Christopher Brown 2008-02-03 19:38:07 EST
Point and click with a digital camera :)
Comment 10 Felix Miata 2008-02-04 11:07:30 EST
Created attachment 293902 [details]
screen photograph
Comment 11 Bug Zapper 2008-11-26 02:04:58 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Felix Miata 2008-11-26 08:25:37 EST
No longer a bug in Fedora 10 using Matrox G400 with vga=0x305 or with no vga= line. I cannot test on Intel video chip system until bug 430836 gets fixed and/or devt is implemented for / in the installation kernel.
Comment 13 Bug Zapper 2009-01-09 02:00:36 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.